Package pyxmpp :: Package jabberd :: Module componentstream

[hide private]

# Module componentstream

source code

Component (jabber:component:accept) stream handling.

Normative reference:
  - JEP 114

Classes | [hide private]

| ComponentStream Handles jabberd component (jabber:component:accept) connection stream.

Variables | [hide private]

| __revision__ = ``'``$Id: componentstream.py 652 2006-08-27 19:41:1``...``
| __package__ = ``'``pyxmpp.jabberd``'``
| __warningregistry__ = ``{``(``'``the sha module is deprecated; use the``...``

Imports: sha, logging, Stream, stanza_factory, HostMismatch, common_doc, common_root, to_utf8, StreamError, FatalStreamError, ComponentStreamError, FatalComponentStreamError

Variables Details | [hide private]

### __revision__

Value:

      '$Id: componentstream.py 652 2006-08-27 19:41:15Z jajcus $'

### __warningregistry__

Value:

      {('the sha module is deprecated; use the hashlib module instead',
        <type 'exceptions.DeprecationWarning'>,
        27): True}